"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const generate_1 = __importDefault(require("./generate"));
const cheerio_1 = __importDefault(require("cheerio"));
const node_fetch_1 = __importDefault(require("node-fetch"));
const child_process_1 = require("child_process");
const main = ({ csdn, output, base }) => __awaiter(this, void 0, void 0, function* () {
    const articleList = [];
    for (let i = 0; true; i++) {
        const res = yield node_fetch_1.default(`${csdn}/article/list/${i}`, {});
        const html = yield res.text();
        const $ = cheerio_1.default.load(html);
        const list = $(".article-item-box");
        if (list.length > 0) {
            $(".article-item-box").each(function () {
                // 获取当页文章连接
                articleList.push($("a", this).attr("href"));
            });
        }
        else {
            break;
        }
    }
    console.log("正在生成文件....");
    const p = articleList.map(link => generate_1.default(link, output));
    yield Promise.all(p);
    console.log("生成完成.....");
    if (base) {
        console.log("准备进行hexo部署.....");
        try {
            child_process_1.execSync("hexo g", { cwd: base });
            console.log("生成静态文件成功....");
            child_process_1.execSync("hexo d", { cwd: base });
            console.log("部署成功....");
        }
        catch (e) {
            console.log(e);
        }
    }
});
exports.default = main;
//# sourceMappingURL=index.js.map