#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const commander_1 = __importDefault(require("commander"));
const index_1 = __importDefault(require("./index"));
const path_1 = __importDefault(require("path"));
const package_json_1 = require("../package.json");
commander_1.default
    .version(package_json_1.version)
    .option("-c, --config [config]", "配置文件相对路径")
    .option("-o, --output [output]", "本地生成博客源md文件路径")
    .option("--csdn [csdn]", "csdn博客地址")
    .option("-b,--base[base]", "本地hexo根目录，不提供则不执行hexo d")
    .parse(process.argv);
console.log(`${package_json_1.version}版本 csdn -> hexo生成器`);
let config = {};
if (commander_1.default.config) {
    try {
        config = require(path_1.default.join(__dirname, commander_1.default.config));
    }
    catch (e) {
        console.log(e);
    }
}
else if (commander_1.default.csdn && commander_1.default.output) {
    const { csdn, output, base } = commander_1.default;
    config = {
        csdn,
        output,
        base
    };
}
else {
    console.error("请指定配置文件路径");
}
index_1.default(config);
//# sourceMappingURL=start.js.map